> For the complete documentation index, see [llms.txt](https://docs.mediamelon.com/mediamelon/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediamelon.com/mediamelon/smartsight-player-sdk-integration/web/comcast-pdk-6.md).

# Comcast PDK 6

### **Register and Initialize** the MediaMelon Player SDK <a href="#step-1-add-mediamelon-smartstreaming-sdk-hardbreak" id="step-1-add-mediamelon-smartstreaming-sdk-hardbreak"></a>

{% hint style="info" %}
CUSTOMER\_ID is your MediaMelon-assigned Customer ID. If you do not know your Customer ID contact MediaMelon at [support@mediamelon.com](http://40mediamelon.com/)
{% endhint %}

Add the MediaMelon SDK Path, Customer ID, Subscriber Information and Video Asset Information in the HTML file as shown below:

```html
<div id="player" class="tpPlayer" tp:fp.bgcolor="0x131313" tp:wmode="direct" tp:logLevel="debug"
        tp:plugin_mmpdk="priority=1|
        URL=PATH_TO_MEDIAMELON_SDK|
        CUSTID=CUTOMER_ID|
        SUBSCRIBER_ID=SUBSCRIBER_ID|
        SUBSCRIBER_TYPE=SUBSCRIBER_TYPE|
        SUBSCRIBER_TAG=SUBSCRIBER_TAG|
        DOMAIN_NAME=DOMAIN_NAME|
        PLAYER_NAME=PLAYER_NAME|
        deferred=false|
        VIDEO_ID=VIDEO_ID|
        CONTENT_TYPE=CONTENT_TYPE|
        DRM_PROTECTION=DRM_PROTECTION|
        EPISODE_NUMBER=EPISODE_NUMBER|
        GENRE=GENRE|
        SEASON=SEASON|
        ASSET_NAME=ASSET_NAME|
        ASSET_ID=ASSET_ID|
        SERIES_TITLE=SERIES_TITLE|
        TRACE=true">
</div>
```

| Variable                  | Description                                                                                                                                                                          |
| ------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| PATH\_TO\_MEDIAMELON\_SDK | String containing AWS S3 url provided by MediaMelon.                                                                                                                                 |
| PLAYER\_NAME              | String containing the Player Name.                                                                                                                                                   |
| CUSTOMER\_ID              | String containing your MediaMelon-assigned Customer ID.                                                                                                                              |
| SUBSCRIBER\_ID            | String containing your Subscriber’s ID. If you do not use subscriber IDs, enter null                                                                                                 |
| DOMAIN\_NAME              | String containing your section of your subscriber or assets. (Optional)                                                                                                              |
| SUBSCRIBER\_TYPE          | String containing the Subscriber Type (e.g. “Free”, “Paid”). If you do not use subscriber types, enter null                                                                          |
| SUBSCRIBER\_TAG           | String containing an additional subscriber-specific information. This is sent in clear (not hashed) to SmartSight and it is advised to not send sensitive information in this field. |
| ASSET\_ID                 | String containing Asset Id.                                                                                                                                                          |
| ASSET\_NAME               | String containing Asset Name.                                                                                                                                                        |
| VIDEO\_ID                 | String containing your video’s ID. If you do not use videos IDs, enter null.                                                                                                         |
| CONTENT\_TYPE             | String containing type of the Content. For example - "Movie", "Special", "Clip", "Scene Epis Lifts".                                                                                 |
| GENRE                     | String containing Genre of the content. For example - "Comedy", "Horror".                                                                                                            |
| DRM\_PROTECTION           | Widevine, Fairplay, Playready etc. Unknown means content is protected, but protection type is unknown. For clear contents, do not set this field                                     |
| EPISODE\_NUMBER           | String containing sequence number of the Episode.                                                                                                                                    |
| SEASON                    | String containing the Season. For example - "Season1".                                                                                                                               |
| SERIES\_TITLE             | String containing Title of the Series.                                                                                                                                               |
| VIDEO\_TYPE               | String containing Video Type. For example - "LIVE", "VOD".                                                                                                                           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mediamelon.com/mediamelon/smartsight-player-sdk-integration/web/comcast-pdk-6.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
